# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sinamak/version'

Gem::Specification.new do |spec|
  spec.name          = 'sinamak'
  spec.version       = Sinamak::VERSION
  spec.authors       = ['FFD']
  spec.email         = ['fdelacruz.mail@gmail.com']
  spec.summary       = 'Simple Language Translator'
  spec.description   = 'Simple Language Translator'
  spec.license       = 'MIT'
  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.require_paths = ['lib']
  spec.add_runtime_dependency     'dotenv',   '~> 2.7.5'
  spec.add_runtime_dependency     'faraday',  '~> 0.17.0'
  spec.add_development_dependency 'bundler',  '~> 2.0'
  spec.add_development_dependency 'fasterer', '~> 0.8.0'
  spec.add_development_dependency 'pry',      '~> 0.12.2'
  spec.add_development_dependency 'rake',     '~> 10.0'
  spec.add_development_dependency 'reek',     '~> 5.5.0'
  spec.add_development_dependency 'rubocop',  '~> 0.76.0'
end
